### Hierarchy

- OpenViduAdvancedConfiguration

## Index

### Properties

- iceServers
- publisherSpeakingEventsOptions
- screenShareChromeExtension

## Properties

### Optional iceServers

iceServers: RTCIceServer[]

- Defined in OpenViduInternal/Interfaces/Public/OpenViduAdvancedConfiguration.ts:23

Array of RTCIceServer to be used by OpenVidu Browser instead of the default free ice server array (got from freeice library)

### Optional publisherSpeakingEventsOptions

publisherSpeakingEventsOptions: any

- Defined in OpenViduInternal/Interfaces/Public/OpenViduAdvancedConfiguration.ts:36

Custom configuration for the PublisherSpeakingEvent feature. It is an object which includes the following optional properties:

- `interval`: (number) how frequently the analyser polls the audio stream to check if speaking has started or stopped. Default 50 (ms)
- `threshold`: (number) the volume at which publisherStartSpeaking and publisherStopSpeaking events will be fired. Default -50 (dB)

### Optional screenShareChromeExtension

screenShareChromeExtension: string

- Defined in OpenViduInternal/Interfaces/Public/OpenViduAdvancedConfiguration.ts:29

URL to a custom screen share extension for Chrome (always based on ours: openvidu-screen-sharing-chrome-extension) to be used instead of the default one. Must be something like this: `https://chrome.google.com/webstore/detail/YOUR_WEBSTORE_EXTENSION_NAME/YOUR_EXTENSION_ID`

Generated using TypeDoc